# List webhook endpoints

**Documentation:** /reference/v3/api-reference/webhook-endpoints/getWebhookEndpoints

Lists webhook endpoints for the authenticated project, optionally filtered by toolkit.

---

## GET `/api/v3/webhook_endpoints`

**Endpoint:** `https://backend.composio.dev/api/v3/webhook_endpoints`

**Summary:** List webhook endpoints

Lists webhook endpoints for the authenticated project, optionally filtered by toolkit.

### Authentication

**ApiKeyAuth** - API Key in `header` header `x-api-key` OR **UserApiKeyAuth** - API Key in `header` header `x-user-api-key`

### Query Parameters

- `toolkit_slug` (string): Filter by toolkit slug

### Responses

#### 200 - Success

**Response Schema:**

- `items` (array<object>) *(required)*
  - Array items:
    - `id` (string) *(required)*: Webhook endpoint nano ID
    - `toolkit_slug` (string) *(required)*: Toolkit this endpoint is for
    - `client_id` (string,null) *(required)*: OAuth app client ID

**Example Response:**

```json
{
  "items": [
    {
      "id": "string",
      "toolkit_slug": "string",
      "client_id": null
    }
  ]
}
```

#### 401 - Unauthorized

**Response Schema:**

- `error` (object) *(required)*
  - `message` (string) *(required)*
  - `code` (number) *(required)*
  - `slug` (string) *(required)*
  - `status` (number) *(required)*
  - `request_id` (string)
  - `suggested_fix` (string)
  - `errors` (array<string>)

#### 500 - Internal server error

**Response Schema:**

- `error` (object) *(required)*
  - `message` (string) *(required)*
  - `code` (number) *(required)*
  - `slug` (string) *(required)*
  - `status` (number) *(required)*
  - `request_id` (string)
  - `suggested_fix` (string)
  - `errors` (array<string>)

### Example cURL Request

```bash
curl -X GET "https://backend.composio.dev/api/v3/webhook_endpoints" \
  -H "x-api-key: YOUR_API_KEY"
```